Bug 864843 - [abrt] libreoffice-core-3.5.6.2-5.fc17: LotAttrCache::LotAttrCache: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.6.2-5.fc17: LotAttrCache::LotAttrCache: Process /...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:573e4c7ca1c621664ec7a35ccee...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 05:00 EDT by Wouter
Modified: 2013-02-06 04:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-06 04:25:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (5.05 KB, text/plain)
2012-10-10 05:00 EDT, Wouter
no flags Details
File: environ (1.95 KB, text/plain)
2012-10-10 05:00 EDT, Wouter
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-10 05:00 EDT, Wouter
no flags Details
File: backtrace (73.86 KB, text/plain)
2012-10-10 05:00 EDT, Wouter
no flags Details
File: cgroup (125 bytes, text/plain)
2012-10-10 05:00 EDT, Wouter
no flags Details
File: maps (114.77 KB, text/plain)
2012-10-10 05:00 EDT, Wouter
no flags Details
File: dso_list (29.33 KB, text/plain)
2012-10-10 05:00 EDT, Wouter
no flags Details
File: var_log_messages (336 bytes, text/plain)
2012-10-10 05:00 EDT, Wouter
no flags Details
File: open_fds (2.43 KB, text/plain)
2012-10-10 05:00 EDT, Wouter
no flags Details
lotus 123 file that was involded in the bug report (114.02 KB, application/vnd.lotus-1-2-3)
2012-10-10 13:52 EDT, Wouter
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 53713 None None None 2012-10-10 19:20:07 EDT

  None (edit)
Description Wouter 2012-10-10 05:00:17 EDT
Description of problem:
Being at work with a document in LibreOffice Writer, I opened a Lotus-1-2-3 formatted file from within the Nautilus environment and to do so I selected LibreOffice Calc. While opening the Lotus file both LO Writer and LO Calc collapsed. 

Version-Release number of selected component:
libreoffice-core-3.5.6.2-5.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/wh/Documenten/WERK/teksten/Label-01.docx --splash-pipe=6
crash_function: LotAttrCache::LotAttrCache
kernel:         3.5.5-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 LotAttrCache::LotAttrCache at /usr/src/debug/libreoffice-3.5.6.2/sc/source/filter/lotus/lotattr.cxx:59
: #1 LotAttrTable at /usr/src/debug/libreoffice-3.5.6.2/sc/source/filter/inc/lotattr.hxx:138
: #2 LOTUS_ROOT::LOTUS_ROOT at /usr/src/debug/libreoffice-3.5.6.2/sc/source/filter/lotus/lotimpop.cxx:59
: #3 ImportLotus::ImportLotus at /usr/src/debug/libreoffice-3.5.6.2/sc/source/filter/lotus/lotimpop.cxx:84
: #4 ScFormatFilterPluginImpl::ScImportLotus123 at /usr/src/debug/libreoffice-3.5.6.2/sc/source/filter/lotus/lotus.cxx:60
: #5 ScDocShell::ConvertFrom at /usr/src/debug/libreoffice-3.5.6.2/sc/source/ui/docshell/docsh.cxx:1097
: #6 SfxObjectShell::DoLoad at /usr/src/debug/libreoffice-3.5.6.2/sfx2/source/doc/objstor.cxx:748
: #7 SfxBaseModel::load at /usr/src/debug/libreoffice-3.5.6.2/sfx2/source/doc/sfxbasemodel.cxx:1873
: #8 SfxFrameLoader_Impl::load at /usr/src/debug/libreoffice-3.5.6.2/sfx2/source/view/frmload.cxx:611
: #9 framework::LoadEnv::impl_loadContent at /usr/src/debug/libreoffice-3.5.6.2/framework/source/loadenv/loadenv.cxx:1150
Comment 1 Wouter 2012-10-10 05:00:22 EDT
Created attachment 624678 [details]
File: core_backtrace
Comment 2 Wouter 2012-10-10 05:00:24 EDT
Created attachment 624679 [details]
File: environ
Comment 3 Wouter 2012-10-10 05:00:28 EDT
Created attachment 624680 [details]
File: limits
Comment 4 Wouter 2012-10-10 05:00:32 EDT
Created attachment 624681 [details]
File: backtrace
Comment 5 Wouter 2012-10-10 05:00:35 EDT
Created attachment 624682 [details]
File: cgroup
Comment 6 Wouter 2012-10-10 05:00:37 EDT
Created attachment 624683 [details]
File: maps
Comment 7 Wouter 2012-10-10 05:00:44 EDT
Created attachment 624684 [details]
File: dso_list
Comment 8 Wouter 2012-10-10 05:00:46 EDT
Created attachment 624685 [details]
File: var_log_messages
Comment 9 Wouter 2012-10-10 05:00:51 EDT
Created attachment 624686 [details]
File: open_fds
Comment 10 Caolan McNamara 2012-10-10 05:46:09 EDT
can we get the 1,2,3 document that crashed us ?
Comment 11 Wouter 2012-10-10 13:52:10 EDT
Created attachment 625065 [details]
lotus 123 file that was involded in the bug report

This is the file you asked for.

Greetings,
Wouter.
Comment 12 Caolan McNamara 2012-10-10 19:27:06 EDT
Fix for this is in 3.5.7 which is in update testing already, e.g.

https://admin.fedoraproject.org/updates/FEDORA-2012-15506/libreoffice-3.5.7.2-2.fc17
Comment 13 Wouter 2012-10-11 13:43:00 EDT
(In reply to comment #12)
> Fix for this is in 3.5.7 which is in update testing already, e.g.
> 
> https://admin.fedoraproject.org/updates/FEDORA-2012-15506/libreoffice-3.5.7.
> 2-2.fc17

Thanks a lot. I quess I'ĺl wait for the 3.5.7. version to become available in the updates repository.

Wh

Note You need to log in before you can comment on or make changes to this bug.